
export default{
  methods: {
    getSelectKeyList(parmsList, position, prop = 'id') {
      const data = this.layoutChagneDate[position]
      if (!data || !data.length) {
        this.$message.error('请勾选')
        return
      }
      const list = []
      this.layoutChagneDate[position].forEach(element => {
        if (element[prop]) list.push(element[prop])
      })
      parmsList.length = 0
      parmsList.push(...list)
      return parmsList
    }
  }
}
